/v1/workspaces/{workspace_id}/scheduled-changesAuthList scheduled changes
Scheduled value changes, soonest first. Filter by `status` (`pending`, `applied`, `failed`, `cancelled`), project, environment or setting.
Path parameters
workspace_id*string · uuidId of the workspace.
Query parameters
statusstringOnly this status.
project_idstring · uuidOnly this project.
environment_idstring · uuidOnly this environment.
setting_idstring · uuidOnly this setting.
cursorstringOpaque cursor from `pagination.next_cursor`.
limitintegerPage size.
Response · 200 A page of scheduled changes.
data*arrayScheduled changes, soonest first.
pagination*objectCursor pagination.
Example
Request
GET https://api.flags.productcraft.co/v1/workspaces/{workspace_id}/scheduled-changes
Authorization: Bearer YOUR_TOKENimport { Flags } from "@productcraft/flags";
// Reads PRODUCTCRAFT_API_KEY from the environment
const flags = new Flags();
for await (const scheduledChange of flags.scheduledChanges.list()) {
console.log(scheduledChange);
}
const page = await flags.scheduledChanges.list({}, { timeout: 5_000 });flags.scheduledChanges.list(params?, options?): PagePromise<Flags.ScheduledChange>
Response
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"workspace_id": "00000000-0000-0000-0000-000000000000",
"project_id": "00000000-0000-0000-0000-000000000000",
"config_id": "00000000-0000-0000-0000-000000000000",
"setting_id": "00000000-0000-0000-0000-000000000000",
"setting_key": "new_checkout",
"environment_id": "00000000-0000-0000-0000-000000000000",
"environment_key": "production",
"operation": "patch",
"payload": {},
"base_version": 7,
"change_request_id": "00000000-0000-0000-0000-000000000000",
"run_at": "2026-01-01T00:00:00.000Z",
"status": "pending",
"note": "Launch at 09:00",
"created_by": {},
"applied_change_id": "00000000-0000-0000-0000-000000000000",
"executed_at": "2026-01-01T00:00:00.000Z",
"last_error": {},
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}